- Qt 5.5
- Qt3D Module
- C++ Classes
- QMouseInput
- Qt 5.5.1 Reference Documentation

# QMouseInput Class

(Qt3D::QMouseInput)

Provides a mean of being notified about mouse events when attached to a Qt3D::QMouseController instance. More...

Header: | #include <QMouseInput>
qmake: | QT += 3dcore
Since: | Qt 5.5
Inherits: | QComponent

- List of all members, including inherited members

## Properties

- containsMouse : const bool
- controller : Qt3D::QMouseController *

- 2 properties inherited from Qt3D::QComponent
- 1 property inherited from Qt3D::QNode

## Public Functions

| QMouseInput(QNode * parent = 0)
| ~QMouseInput()
bool | containsMouse() const
QMouseController * | controller() const
void | setController(QMouseController * controller)

- 5 public functions inherited from Qt3D::QComponent
- 6 public functions inherited from Qt3D::QNode

## Signals

void | clicked(Qt3D::Q3DMouseEvent * mouse)
void | containsMouseChanged()
void | controllerChanged()
void | doubleClicked(Qt3D::Q3DMouseEvent * mouse)
void | entered()
void | exited()
void | positionChanged(Qt3D::Q3DMouseEvent * mouse)
void | pressAndHold(Qt3D::Q3DMouseEvent * mouse)
void | pressed(Qt3D::Q3DMouseEvent * mouse)
void | released(Qt3D::Q3DMouseEvent * mouse)
void | wheel(Qt3D::Q3DWheelEvent * wheel)

- 2 signals inherited from Qt3D::QComponent
- 1 signal inherited from Qt3D::QNode

## Protected Functions

void | mouseEvent(Q3DMouseEvent * event)
void | setContainsMouse(bool contains)

## Reimplemented Protected Functions

virtual void | copy(const QNode * ref)
virtual void | sceneChangeEvent(const QSceneChangePtr & change)

- 1 protected function inherited from Qt3D::QComponent
- 3 protected functions inherited from Qt3D::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3D::QNode

## Detailed Description

Provides a mean of being notified about mouse events when attached to a Qt3D::QMouseController instance.

Note: Qt3D::QMouseInput components shouldn't be shared, not respecting that condition will most likely result in undefined behaviors.

See also Qt3D::QMouseController.

## Property Documentation

### containsMouse : const bool

Access functions:

bool | containsMouse() const

Notifier signal:

void | containsMouseChanged()

### controller : Qt3D::QMouseController *

Access functions:

QMouseController * | controller() const
void | setController(QMouseController * controller)

Notifier signal:

void | controllerChanged()

## Member Function Documentation

### QMouseInput::QMouseInput(QNode * parent = 0)

Constructs a new Qt3D::QMouseInput instance with parent parent.

### QMouseInput::~QMouseInput()

Destroys this QMouseInput object

### `[signal]` void QMouseInput::clicked(Qt3D::Q3DMouseEvent * mouse)

### `[virtual protected]` void QMouseInput::copy(const QNode * ref)

### `[signal]` void QMouseInput::doubleClicked(Qt3D::Q3DMouseEvent * mouse)

### `[signal]` void QMouseInput::entered()

### `[signal]` void QMouseInput::exited()

### `[protected]` void QMouseInput::mouseEvent(Q3DMouseEvent * event)

### `[signal]` void QMouseInput::positionChanged(Qt3D::Q3DMouseEvent * mouse)

### `[signal]` void QMouseInput::pressAndHold(Qt3D::Q3DMouseEvent * mouse)

### `[signal]` void QMouseInput::pressed(Qt3D::Q3DMouseEvent * mouse)

### `[signal]` void QMouseInput::released(Qt3D::Q3DMouseEvent * mouse)

### `[virtual protected]` void QMouseInput::sceneChangeEvent(const QSceneChangePtr & change)

### `[protected]` void QMouseInput::setContainsMouse(bool contains)

See also containsMouse().

### `[signal]` void QMouseInput::wheel(Qt3D::Q3DWheelEvent * wheel)